Subject: RE: draft-ietf-ldapext-locate-01.txt - Discovering LDAP Services with DNS

From: "Dumitrescu, Teodor" <[email-masked]>
Date: Wed, 19 Jan 2000 16:55:18 +0100

Paul,

I wasn't aware that "native" means non-X.500. And for the purpose of this
discussion the X.500 LDAP front ends do support DC= naming components. In
fact they are/should be indistinguishable over the wire from "native"
servers.

Teo

> -----Original Message-----
> From: Paul Leach [mailto:[email-masked]]
> Sent: Mittwoch, 19. Januar 2000 04:13
> To: 'Bruce Greenblatt'; [email-masked]
> Subject: RE: draft-ietf-ldapext-locate-01.txt - Discovering LDAP
> Services with DNS
> 
> 
>
.... 
> 
> 
> That's too long and bulky to say everywhere it currently says 
> "native".
> 
> I don't see what's wrong with "native" -- it means that they 
> aren't a front
> end to X.500. Hence they can't use X.500 capabilities, and clients can
> expect service that requires those capabilities. In some 
> cases, that means
> both clients and servers are out of luck -- clients have to 
> apriori know the
> DNS name of the server that stores a given DN, and a server 
> that recieves a
> request for a DN in an NC it doesn't store can't generate a referral.
> 
> However, if the DN starts with "DC=", then things can be 
> better if they
> follow the proposal in the draft: the client can get to a server, or a
> server given a request for such a DN can generate a referral. 
> All the server
> has to do is get SRV records registered for the NCs it stores 
> -- ones that
> are resolvable by all the clients it cares to serve.
> 
> Paul
>

---

From: "Alexis Bor" <[email-masked]>
Date: Wed, 19 Jan 2000 08:15:53 -0800

This all gets back to the forgotten history.  LDAP is an interface.  The
'back ends' vary from implementation to implementation.  To name a few,
there are Oracle, Exchange, Jet, Ingress, DB2, and many less known brands of
database engines as well as proprietary stores.  In fact, how about the old
QUIPU use of disk file systems.  The major change that happened quite a few
years ago was that Tim Howes and others added a mechanism to LDAP for a
locally defined data store rather than translate LDAP queries into DAP
protocol.

When the marketing people got involved (around the time of the Netscape
press release on 40 companies jumping on the LDAP bandwagon), suddenly LDAP
became all things for all people.  It should all come back to the question -
does the product support LDAP or does it not.  I used to pound on Novell
about calling NDS "X.500-like" - I used to always compare it to calling a
woman pregnant-like.  Either you are LDAP compliant or you are not.  It's
that simple!!!  Let's keep religion and the influence of marketing hype out
of this, if at all possible.

Let's avoid this native versus native-like comparison, please!!!

-- Alexis

Alexis Bor
Directory Works, Inc.
P.O. Box 470276
Celebration, FL  34747-0276
[email-masked]

-----Original Message-----
From: Dumitrescu, Teodor [mailto:[email-masked]]
Sent: Wednesday, January 19, 2000 7:55 AM
To: 'Paul Leach'; 'Bruce Greenblatt'; [email-masked]
Subject: RE: draft-ietf-ldapext-locate-01.txt - Discovering LDAP Services
with DNS

Paul,

Teo

....